Package org.eclipse.m2m.atl.dsls.textsource

# Class StringTextSource

java.lang.Object
org.eclipse.m2m.atl.dsls.textsource.TextSource
org.eclipse.m2m.atl.dsls.textsource.StringTextSource

public class StringTextSource extends TextSource
Manages a text source in a string.

## Constructor Summary

Constructors
Constructor
Description
`StringTextSource(String string)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`openStream()`
Returns an input stream of the text source.

### Methods inherited from class org.eclipse.m2m.atl.dsls.textsource.TextSource

`openBufferedReader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringTextSource

public StringTextSource(String string)
Constructor.

Parameters:
  `string` - the string text

## Method Details

### openStream

public InputStream openStream() throws IOException
Returns an input stream of the text source.

Specified by:
  `openStream` in class `TextSource`
Returns:
  an input stream of the text source
Throws:
  `IOException`
See Also:
  - `TextSource.openStream()`